ReflectionParameter::isCallable
ReflectionParameter::isDefaultValueConstant
ReflectionParameter
PHP Manual

# ReflectionParameter::isDefaultValueAvailable

(PHP 5 >= 5.0.3)

ReflectionParameter::isDefaultValueAvailable — Checks if a default value is available

### Description

public bool ReflectionParameter::isDefaultValueAvailable ( void )

Checks if a default value for the parameter is available.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if a default value is available, otherwise `FALSE`

### See Also

- ReflectionParameter::getDefaultValue() - Gets default parameter value
- ReflectionParameter::getName() - Gets parameter name

ReflectionParameter::isCallable
ReflectionParameter::isDefaultValueConstant
ReflectionParameter
PHP Manual